Talkr AI
API ReferenceKnowledge BaseDocuments

Get a Document

Get the processing status and details of a specific document

Use this to poll a document's processing_status after uploading or adding it from a URL.

GET
/api/v1/knowledge-base/documents/{document_uuid}

Path Parameters

document_uuid*Document Uuid

Header Parameters

authorization?string|null
X-API-Key?string|null

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/knowledge-base/documents/string"
{  "id": 0,  "document_uuid": "string",  "filename": "string",  "file_size_bytes": 0,  "file_hash": "string",  "mime_type": "string",  "processing_status": "string",  "processing_error": "string",  "total_chunks": 0,  "retrieval_mode": "chunked",  "custom_metadata": {},  "docling_metadata": {},  "source_url": "string",  "collection_uuid": "string",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "organization_id": 0,  "created_by": 0,  "is_active": true}